function ReagentData_LoadAlchemy()
ReagentData['crafted']['alchemy'] = {
    ["Elixir of Lion's Strength"] = {
        skill = 1,
        description = "Use: Increases Strength by 4 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 5,
        reagents = {
            [ReagentData['herb']['silverleaf']] = 1,
            [ReagentData['herb']['earthroot']] = 1,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Elixir of Minor Defense"] = {
        skill = 1,
        description = "Use: Increases armor by 50 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 5,
        reagents = {
            [ReagentData['herb']['silverleaf']] = 2,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Minor Healing Potion"] = {
        skill = 1,
        description = "Use: Restores 70 to 90 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 5,
        reagents = {
            [ReagentData['herb']['silverleaf']] = 1,
            [ReagentData['herb']['peacebloom']] = 1,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Weak Troll's Blood Potion"] = {
        skill = 15,
        description = "Use: Regenerate 2 health every 5 sec for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 8,
        reagents = {
            [ReagentData['herb']['peacebloom']] = 1,
            [ReagentData['herb']['earthroot']] = 2,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Minor Mana Potion"] = {
        skill = 25,
        description = "MinLvl: 5, Use: Restores 140 to 180 mana.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 15,
        reagents = {
            [ReagentData['herb']['silverleaf']] = 1,
            [ReagentData['herb']['mageroyal']] = 1,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Minor Rejuvenation Potion"] = {
        skill = 40,
        description = "MinLvl: 5, Use: Restores 90 to 150 mana and 90 to 150 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 15,
        reagents = {
            [ReagentData['herb']['mageroyal']] = 2,
            [ReagentData['herb']['peacebloom']] = 1,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Discolored Healing Potion"] = {
        skill = 50,
        description = "MinLvl: 5, Use: Restores 140 to 180 health.",
        source = "Quest: Wild Hearts",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 15,
        reagents = {
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['herb']['peacebloom']] = 1,
            [ReagentData['monster']['discoloredworgheart']] = 1,
        },
    },
    ["Elixir of Minor Agility"] = {
        skill = 50,
        description = "MinLvl: 2, Use: Increases Agility by 4 for 1 hour.",
        source = "Drop:Recipe: Elixir of Minor Agility",
        stacksize = 5,
        itemLvl = 12,
        reagents = {
            [ReagentData['herb']['silverleaf']] = 1,
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['herb']['swifthistle']] = 1,
        },
    },
    ["Elixir of Minor Fortitude"] = {
        skill = 50,
        description = "MinLvl: 2, Use: Increases the player's maximum health by 27 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 12,
        reagents = {
            [ReagentData['herb']['earthroot']] = 2,
            [ReagentData['herb']['peacebloom']] = 1,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Lesser Healing Potion"] = {
        skill = 55,
        description = "MinLvl: 3, Use: Restores 140 to 180 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 13,
        reagents = {
            [ReagentData['herb']['briarthorn']] = 1,
            [ReagentData['potion']['minorhealing']] = 1,
        },
    },
    ["Rage Potion"] = {
        skill = 60,
        id = 5640,
        description = "MinLvl: 4, Classes: Warrior, Use: Increases Rage by 20 to 40.",
        source = "Vendor:Recipe: Rage Potion",
        stacksize = 5,
        itemLvl = 14,
        reagents = {
            [ReagentData['herb']['briarthorn']] = 1,
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['monster']['sharpclaw']] = 1,
        },
    },
    ["Swiftness Potion"] = {
        skill = 60,
        description = "MinLvl: 5, 5, Use: Increases run speed by 50% for 15 sec.",
        source = "Drop:Recipe: Swiftness Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 15,
        reagents = {
            [ReagentData['herb']['briarthorn']] = 1,
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['herb']['swifthistle']] = 1,
        },
    },
    ["Blackmouth Oil"] = {
        skill = 80,
        description = "Blackmouth Oil",
        type = "Reagent",
        source = "Trainer",
        stacksize = 20,
        itemLvl = 15,
        reagents = {
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['alchemyfish']['oilyblackmouth']] = 2,
        },
    },
    ["Elixir of Giant Growth"] = {
        skill = 90,
        description = "MinLvl: 8, Use: Your size is increased and your Strength goes up by 8 to match your new size.  Lasts 2 min.",
        source = "Drop:Recipe: Elixir of Giant Growth",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 18,
        reagents = {
            [ReagentData['herb']['earthroot']] = 1,
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['cookingfish']['deviate']] = 1,
        },
    },
    ["Elixir of Water Breathing"] = {
        skill = 90,
        description = "MinLvl: 8, Use: Allows the Imbiber to breathe water for 30 min.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 18,
        reagents = {
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['herb']['stranglekelp']] = 1,
            [ReagentData['oil']['blackmouth']] = 2,
        },
    },
    ["Elixir of Wisdom"] = {
        skill = 90,
        description = "MinLvl: 10, Use: Increases Intellect by 6 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 20,
        reagents = {
            [ReagentData['herb']['briarthorn']] = 2,
            [ReagentData['herb']['mageroyal']] = 1,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Holy Protection Potion"] = {
        skill = 100,
        id = 6053,
        description = "MinLvl: 10, Use: Absorbs 300 to 500 holy damage.  Lasts 1 hour.",
        source = "Vendor:Recipe: Holy Protection Potion",
        stacksize = 5,
        itemLvl = 20,
        reagents = {
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['herb']['swifthistle']] = 1,
            [ReagentData['herb']['bruiseweed']] = 1,
        },
    },
    ["Swim Speed Potion"] = {
        skill = 100,
        description = "MinLvl: 10, Use: Increases swim speed by 100% for 20 sec.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 20,
        reagents = {
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['herb']['swifthistle']] = 1,
            [ReagentData['oil']['blackmouth']] = 1,
        },
    },
    ["Healing Potion"] = {
        skill = 110,
        description = "MinLvl: 12, Use: Restores 280 to 360 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 22,
        reagents = {
            [ReagentData['herb']['briarthorn']] = 1,
            [ReagentData['herb']['bruiseweed']] = 1,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Elixir of Poison Resistance"] = {
        skill = 120,
        description = "MinLvl: 14, Use: Imbiber is cured of up to four poisons up to level 60.",
        source = "Drop:Recipe: Elixir of Poison Resistance",
        stacksize = 5,
        itemLvl = 55,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['bruiseweed']] = 1,
            [ReagentData['monster']['largevenomsac']] = 1,
        },
    },
    ["Lesser Mana Potion"] = {
        skill = 120,
        description = "MinLvl: 14, Use: Restores 280 to 360 mana.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 24,
        reagents = {
            [ReagentData['herb']['mageroyal']] = 1,
            [ReagentData['herb']['stranglekelp']] = 1,
            [ReagentData['vial']['empty']] = 1,
        },
    },
    ["Strong Troll's Blood Potion"] = {
        skill = 125,
        description = "MinLvl: 15, Use: Regenerate 6 health every 5 sec for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 25,
        reagents = {
            [ReagentData['herb']['briarthorn']] = 2,
            [ReagentData['herb']['bruiseweed']] = 2,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Elixir of Defense"] = {
        skill = 130,
        description = "MinLvl: 16, Use: Increases armor by 150 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 26,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['stranglekelp']] = 1,
            [ReagentData['herb']['wildsteelbloom']] = 1,
        },
    },
    ["Fire Oil"] = {
        skill = 130,
        description = "Fire Oil",
        type = "Reagent",
        source = "Trainer",
        stacksize = 20,
        itemLvl = 25,
        reagents = {
            [ReagentData['vial']['empty']] = 1,
            [ReagentData['alchemyfish']['firefinsnapper']] = 2,
        },
    },
    ["Shadow Protection Potion"] = {
        skill = 135,
        id = 6054,
        description = "MinLvl: 17, Use: Absorbs 675 to 1125 shadow damage.  Lasts 1 hour.",
        source = "Vendor:Recipe: Shadow Protection Potion",
        stacksize = 5,
        itemLvl = 27,
        reagents = {
            [ReagentData['herb']['gravemoss']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['kingsblood']] = 1,
        },
    },
    ["Elixir of Firepower"] = {
        skill = 140,
        description = "MinLvl: 18, Use: Increases spell fire damage by up to 10 for 30 min.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 28,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['oil']['fire']] = 2,
            [ReagentData['herb']['kingsblood']] = 1,
        },
    },
    ["Elixir of Lesser Agility"] = {
        skill = 140,
        description = "MinLvl: 18, Use: Increases Agility by 8 for 1 hour.",
        source = "Drop:Recipe: Elixir of Lesser Agility",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 28,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['swifthistle']] = 1,
            [ReagentData['herb']['wildsteelbloom']] = 1,
        },
    },
    ["Elixir of Ogre's Strength"] = {
        skill = 150,
        description = "MinLvl: 20, Use: Increases Strength by 8 for 1 hour.",
        source = "Drop:Recipe: Elixir of Ogre's Strength",
        stacksize = 5,
        itemLvl = 30,
        reagents = {
            [ReagentData['herb']['earthroot']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['kingsblood']] = 1,
        },
    },
    ["Free Action Potion"] = {
        skill = 150,
        id = 5642,
        description = "MinLvl: 20, Use: Makes you immune to Stun and Movement Impairing effects for the next 30 sec.   Does not remove effects already on the imbiber.",
        source = "Vendor:Recipe: Free Action Potion",
        stacksize = 5,
        itemLvl = 30,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['stranglekelp']] = 1,
            [ReagentData['oil']['blackmouth']] = 2,
        },
    },
    ["Greater Healing Potion"] = {
        skill = 155,
        description = "MinLvl: 21, Use: Restores 455 to 585 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 31,
        reagents = {
            [ReagentData['herb']['liferoot']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['kingsblood']] = 1,
        },
    },
    ["Mana Potion"] = {
        skill = 160,
        description = "MinLvl: 22, Use: Restores 455 to 585 mana.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 32,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['stranglekelp']] = 1,
            [ReagentData['herb']['kingsblood']] = 1,
        },
    },
    ["Fire Protection Potion"] = {
        skill = 165,
        id = 6055,
        description = "MinLvl: 37, Use: Absorbs 975 to 1625 fire damage.  Lasts 1 hour.",
        source = "Vendor:Recipe: Fire Protection Potion",
        stacksize = 5,
        itemLvl = 47,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['oil']['fire']] = 1,
            [ReagentData['monster']['smallflamesac']] = 1,
        },
    },
    ["Lesser Invisibility Potion"] = {
        skill = 165,
        description = "MinLvl: 23, Use: Gives the imbiber lesser invisibility for 15 sec.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 33,
        reagents = {
            [ReagentData['herb']['fadeleaf']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['wildsteelbloom']] = 1,
        },
    },
    ["Shadow Oil"] = {
        skill = 165,
        id = 6068,
        description = "MinLvl: 24, Use: When applied to a melee weapon it gives a 15% chance of casting Shadowbolt III at the opponent when it hits.  Lasts 30 minutes.",
        source = "Vendor:Recipe: Shadow Oil",
        stacksize = 5,
        itemLvl = 34,
        reagents = {
            [ReagentData['herb']['fadeleaf']] = 4,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['gravemoss']] = 4,
        },
    },
    ["Elixir of Fortitude"] = {
        skill = 175,
        description = "MinLvl: 25, Use: Increases the player's maximum health by 120 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 35,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['wildsteelbloom']] = 1,
        },
    },
    ["Great Rage Potion"] = {
        skill = 175,
        id = 5643,
        description = "MinLvl: 25, Classes: Warrior, Use: Increases Rage by 30 to 60.",
        source = "Vendor:Recipe: Great Rage Potion",
        stacksize = 5,
        itemLvl = 35,
        reagents = {
            [ReagentData['monster']['largefang']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['kingsblood']] = 1,
        },
    },
    ["Mighty Troll's Blood Potion"] = {
        skill = 180,
        description = "MinLvl: 26, Use: Regenerate 12 health every 5 sec for 1 hour.",
        source = "Drop:Recipe: Mighty Troll's Blood Potion",
        stacksize = 5,
        itemLvl = 36,
        reagents = {
            [ReagentData['herb']['liferoot']] = 1,
            [ReagentData['herb']['bruiseweed']] = 1,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Elixir of Agility"] = {
        skill = 185,
        description = "MinLvl: 27, Use: Increases Agility by 15 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 37,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['herb']['stranglekelp']] = 1,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Elixir of Frost Power"] = {
        skill = 190,
        description = "MinLvl: 28, Use: Increases spell frost damage by up to 15 for 30 min.",
        source = "Seasonal:Quest: A Smokywood Pastures' Thank You!",
        stacksize = 5,
        itemLvl = 38,
        reagents = {
            [ReagentData['herb']['wintersbite']] = 2,
            [ReagentData['herb']['khadgarswhisker']] = 1,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Frost Protection Potion"] = {
        skill = 190,
        id = 6056,
        description = "MinLvl: 28, Use: Absorbs 1350 to 2250 frost damage.  Lasts 1 hour.",
        source = "Vendor:Recipe: Frost Protection Potion",
        stacksize = 5,
        itemLvl = 38,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['wintersbite']] = 1,
        },
    },
    ["Nature Protection Potion"] = {
        skill = 190,
        id = 6057,
        description = "MinLvl: 28, Use: Absorbs 1350 to 2250 nature damage.  Lasts 1 hour.",
        source = "Vendor:Recipe: Nature Protection Potion",
        stacksize = 5,
        itemLvl = 38,
        reagents = {
            [ReagentData['herb']['liferoot']] = 1,
            [ReagentData['herb']['stranglekelp']] = 1,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Elixir of Detect Lesser Invisibility"] = {
        skill = 195,
        description = "MinLvl: 29, Use: Grants detect lesser invisibility for 10 min.",
        source = "Drop:Recipe: Elixir of Detect Lesser Invisibility",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 39,
        reagents = {
            [ReagentData['herb']['khadgarswhisker']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['fadeleaf']] = 1,
        },
    },
    ["Elixir of Greater Defense"] = {
        skill = 195,
        description = "MinLvl: 29, Use: Increases armor by 250 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 39,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['herb']['wildsteelbloom']] = 1,
        },
    },
    ["Catseye Elixir"] = {
        skill = 200,
        description = "MinLvl: 30, Use: Slightly increases your stealth detection for 10 min.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 40,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['herb']['fadeleaf']] = 1,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Frost Oil"] = {
        skill = 200,
        id = 14634,
        description = "MinLvl: 30, Use: When applied to a melee weapon it gives a 10% chance of casting Frostbolt at the opponent when it hits.  Lasts 30 minutes.",
        source = "Vendor:Recipe: Frost Oil",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 40,
        reagents = {
            [ReagentData['herb']['wintersbite']] = 2,
            [ReagentData['herb']['khadgarswhisker']] = 4,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Greater Mana Potion"] = {
        skill = 205,
        description = "MinLvl: 31, Use: Restores 700 to 900 mana.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 41,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['herb']['khadgarswhisker']] = 1,
            [ReagentData['vial']['leaded']] = 1,
        },
    },
    ["Oil of Immolation"] = {
        skill = 205,
        description = "MinLvl: 31, Use: Does 50 fire damage to any enemies within a 5 yard radius around the caster every 3 seconds for 15 sec",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 41,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['herb']['firebloom']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Goblin Rocket Fuel"] = {
        skill = 210,
        id = 10644,
        description = "\"Used by Goblin Engineers to power their creations\"",
        type = "Reagent",
        source = "Engineering:Recipe: Goblin Rocket Fuel",
        stacksize = 20,
        itemLvl = 42,
        reagents = {
            [ReagentData['herb']['firebloom']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['monster']['volatilerum']] = 1,
        },
    },
    ["Magic Resistance Potion"] = {
        skill = 210,
        description = "MinLvl: 32, Use: Increases your resistance to all schools of magic by 50 for 3 min.",
        source = "Drop:Recipe: Magic Resistance Potion",
        stacksize = 5,
        itemLvl = 42,
        reagents = {
            [ReagentData['herb']['purplelotus']] = 1,
            [ReagentData['herb']['khadgarswhisker']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Restorative Potion"] = {
        skill = 210,
        description = "MinLvl: 32, Use: Removes 1 magic, curse, poison or disease effect on you every 5 seconds for 30 seconds.",
        source = "Quest: Badlands Reagent Run II",
        stacksize = 5,
        itemLvl = 42,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['vial']['crystal']] = 1,
            [ReagentData['element']['earth']] = 1,
        },
    },
    ["Elixir of Greater Water Breathing"] = {
        skill = 215,
        description = "MinLvl: 35, Use: Allows the Imbiber to breathe water for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 45,
        reagents = {
            [ReagentData['element']['ichorofundeath']] = 1,
            [ReagentData['herb']['purplelotus']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Lesser Stoneshield Potion"] = {
        skill = 215,
        description = "MinLvl: 33, Use: Increases armor by 1000 for 1.50 min.",
        source = "Quest: Liquid Stone",
        stacksize = 5,
        itemLvl = 43,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['ore']['mithril']] = 1,
        },
    },
    ["Superior Healing Potion"] = {
        skill = 215,
        description = "MinLvl: 35, Use: Restores 700 to 900 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 45,
        reagents = {
            [ReagentData['herb']['khadgarswhisker']] = 1,
            [ReagentData['herb']['sungrass']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Philosopher's Stone"] = {
        skill = 225,
        id = 9303,
        description = "[BoP] \"Required for Alchemical Transmutation.\"",
        type = "Trade Goods",
        source = "Vendor:Recipe: Philosopher's Stone",
        itemLvl = 45,
        reagents = {
            [ReagentData['gem']['blackvitriol']] = 1,
            [ReagentData['bar']['iron']] = 4,
            [ReagentData['herb']['firebloom']] = 4,
            [ReagentData['herb']['purplelotus']] = 4,
        },
    },
    ["Transmute: Iron to Gold"] = {
        skill = 225,
        id = 9304,
        description = "Gold Bar",
        type = "Trade Goods",
        source = "Vendor:Recipe: Transmute Iron to Gold",
        resultname = "Gold Bar",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 30,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['bar']['iron']] = 1,
        },
    },
    ["Transmute: Mithril to Truesilver"] = {
        skill = 225,
        id = 9305,
        description = "Truesilver Bar",
        type = "Trade Goods",
        source = "Vendor:Recipe: Transmute Mithril to Truesilver",
        resultname = "Truesilver Bar",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 50,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['bar']['mithril']] = 1,
        },
    },
    ["Wildvine Potion"] = {
        skill = 225,
        description = "MinLvl: 35, Use: Restores 1 to 1500 health and 1 to 1500 mana.",
        source = "Drop:Recipe: Wildvine Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 45,
        reagents = {
            [ReagentData['herb']['wildvine']] = 1,
            [ReagentData['herb']['purplelotus']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Dreamless Sleep Potion"] = {
        skill = 230,
        description = "MinLvl: 35, Use: Puts the imbiber in a dreamless sleep for 12 sec.  During that time the imbiber heals 1200 health and 1200 mana.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 45,
        reagents = {
            [ReagentData['herb']['purplelotus']] = 3,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Detect Undead"] = {
        skill = 230,
        description = "MinLvl: 36, Use: Shows the location of all nearby undead on the minimap for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 46,
        reagents = {
            [ReagentData['herb']['arthastears']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Arcane Elixir"] = {
        skill = 235,
        description = "MinLvl: 37, Use: Increases spell damage by up to 20 for 30 min.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 47,
        reagents = {
            [ReagentData['herb']['blindweed']] = 1,
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Greater Intellect"] = {
        skill = 235,
        description = "MinLvl: 37, Use: Increases Intellect by 25 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 47,
        reagents = {
            [ReagentData['herb']['blindweed']] = 1,
            [ReagentData['herb']['khadgarswhisker']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Invisibility Potion"] = {
        skill = 235,
        description = "MinLvl: 37, Use: Gives the imbiber invisibility for 18 sec.",
        source = "Drop:Recipe: Invisibility Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 47,
        reagents = {
            [ReagentData['herb']['ghostmushroom']] = 1,
            [ReagentData['herb']['sungrass']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Dream Vision"] = {
        skill = 240,
        description = "MinLvl: 38, Use: Gives you a dream vision that lets you explore areas that are too dangerous to explore in person.",
        source = "Drop:Recipe: Elixir of Dream Vision",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 48,
        reagents = {
            [ReagentData['herb']['purplelotus']] = 3,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Greater Agility"] = {
        skill = 240,
        description = "MinLvl: 38, Use: Increases Agility by 25 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 48,
        reagents = {
            [ReagentData['herb']['goldthorn']] = 1,
            [ReagentData['herb']['sungrass']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Gift of Arthas"] = {
        skill = 240,
        description = "MinLvl: 38, Use: Increases resistance to shadow by 10.  If an enemy strikes the imbiber, the attacker has a 30% chance of being inflicted with disease that increases their damage taken by 8 for 3 min.  Lasts for 30 min.",
        source = "Drop:Recipe: Gift of Arthas",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 48,
        reagents = {
            [ReagentData['herb']['blindweed']] = 1,
            [ReagentData['herb']['arthastears']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Giants"] = {
        skill = 245,
        description = "MinLvl: 38, Use: Increases your Strength by 25 for 1 hour.",
        source = "Drop:Recipe: Elixir of Giants",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 48,
        reagents = {
            [ReagentData['herb']['gromsblood']] = 1,
            [ReagentData['herb']['sungrass']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Ghost Dye"] = {
        skill = 245,
        id = 9302,
        description = "Ghost Dye",
        type = "Trade Goods",
        source = "Vendor:Recipe: Ghost Dye",
        stacksize = 10,
        itemLvl = 49,
        reagents = {
            [ReagentData['herb']['ghostmushroom']] = 2,
            [ReagentData['dye']['purple']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Demonslaying"] = {
        skill = 250,
        id = 9300,
        description = "MinLvl: 40, Use: Increases attack power by 265 against demons.  Lasts 5 min.",
        source = "Vendor:Recipe: Elixir of Demonslaying",
        stacksize = 5,
        itemLvl = 50,
        reagents = {
            [ReagentData['herb']['gromsblood']] = 1,
            [ReagentData['herb']['ghostmushroom']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Detect Demon"] = {
        skill = 250,
        description = "MinLvl: 40, Use: Shows the location of all nearby demons on the minimap for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 50,
        reagents = {
            [ReagentData['herb']['gromsblood']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Greater Firepower"] = {
        skill = 250,
        description = "MinLvl: 40, Use: Increases spell fire damage by up to 40 for 30 min.",
        source = "Drop:Recipe: Elixir of Greater Firepower",
        stacksize = 5,
        itemLvl = 50,
        reagents = {
            [ReagentData['herb']['firebloom']] = 3,
            [ReagentData['oil']['fire']] = 3,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Shadow Power"] = {
        skill = 250,
        id = 9301,
        description = "MinLvl: 40, Use: Increases spell shadow damage by up to 40 for 30 min.",
        source = "Vendor:Recipe: Elixir of Shadow Power",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 50,
        reagents = {
            [ReagentData['herb']['ghostmushroom']] = 3,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Limited Invulnerability Potion"] = {
        skill = 250,
        description = "MinLvl: 45, Use: Imbiber is immune to physical attacks for the next 6 sec.",
        source = "Drop:Recipe: Limited Invulnerability Potion",
        stacksize = 5,
        itemLvl = 56,
        reagents = {
            [ReagentData['herb']['blindweed']] = 2,
            [ReagentData['herb']['ghostmushroom']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Stonescale Oil"] = {
        skill = 250,
        description = "Stonescale Oil",
        type = "Reagent",
        source = "Trainer",
        stacksize = 20,
        itemLvl = 50,
        reagents = {
            [ReagentData['vial']['leaded']] = 1,
            [ReagentData['alchemyfish']['stonescaleeel']] = 1,
        },
    },
    ["Mighty Rage Potion"] = {
        skill = 255,
        description = "MinLvl: 46, Use: Increases Rage by 45 to 75 and increases Strength by 60 for 20 sec.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 56,
        reagents = {
            [ReagentData['herb']['gromsblood']] = 3,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Superior Mana Potion"] = {
        skill = 260,
        description = "MinLvl: 41, Use: Restores 900 to 1500 mana.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 51,
        reagents = {
            [ReagentData['herb']['blindweed']] = 2,
            [ReagentData['herb']['sungrass']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Superior Defense"] = {
        skill = 265,
        id = 13478,
        description = "MinLvl: 43, Use: Increases armor by 450 for 1 hour.",
        source = "Vendor:Recipe: Elixir of Superior Defense",
        stacksize = 5,
        itemLvl = 53,
        reagents = {
            [ReagentData['oil']['stonescale']] = 2,
            [ReagentData['herb']['sungrass']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of the Sages"] = {
        skill = 270,
        description = "MinLvl: 44, Use: Increases Intellect and Spirit by 18 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['herb']['plaguebloom']] = 2,
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Elixir of Brute Force"] = {
        skill = 275,
        description = "MinLvl: 45, Use: Increases Strength and Stamina by 18 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['herb']['gromsblood']] = 2,
            [ReagentData['herb']['plaguebloom']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Dreamless Sleep Potion"] = {
        skill = 275,
        id = 20012,
        description = "MinLvl: 55, Use: Puts the imbiber in a dreamless sleep for 12 sec. During that time, the imbiber heals 2100 health and 2100 mana.",
        source = "Vendor:Recipe: Greater Dreamless Sleep Potion",
        stacksize = 5,
        itemLvl = 60,
        reagents = {
            [ReagentData['herb']['dreamfoil']] = 2,
            [ReagentData['herb']['goldensansam']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Mageblood Potion"] = {
        skill = 275,
        description = "MinLvl: 40, Use: Regenerate 12 mana every 5 sec for 60 minutes.",
        source = "Vendor:Recipe: Mageblood Potion",
        stacksize = 5,
        itemLvl = 50,
        reagents = {
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['herb']['plaguebloom']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Major Healing Potion"] = {
        skill = 275,
        description = "MinLvl: 45, Use: Restores 1050 to 1750 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 55,
        reagents = {
            [ReagentData['herb']['mountainsilversage']] = 1,
            [ReagentData['herb']['goldensansam']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Transmute: Air to Fire"] = {
        skill = 275,
        id = 13482,
        description = "Essence of Fire",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Air to Fire",
        sourcerarity = "Uncommon",
        resultname = "Essence of Fire",
        resultrarity = "Uncommon",
        stacksize = 10,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['essenceofair']] = 1,
        },
    },
    ["Transmute: Arcanite"] = {
        skill = 275,
        id = 12958,
        description = "Arcanite Bar",
        type = "Trade Goods",
        source = "Vendor:Recipe: Transmute Arcanite",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['gem']['arcanecrystal']] = 1,
            [ReagentData['bar']['thorium']] = 1,
        },
    },
    ["Transmute: Earth to Life"] = {
        skill = 275,
        description = "Essence of Life",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Earth to Life",
        sourcerarity = "Uncommon",
        resultname = "Essence of Life",
        resultrarity = "Uncommon",
        stacksize = 10,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['essenceofearth']] = 1,
        },
    },
    ["Transmute: Earth to Water"] = {
        skill = 275,
        id = 13484,
        description = "Essence of Water",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Earth to Water",
        sourcerarity = "Uncommon",
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['essenceofearth']] = 1,
        },
    },
    ["Transmute: Fire to Earth"] = {
        skill = 275,
        id = 13483,
        description = "Essence of Earth",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Fire to Earth",
        sourcerarity = "Uncommon",
        resultname = "Essence of Earth",
        resultrarity = "Uncommon",
        stacksize = 10,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['essenceoffire']] = 1,
        },
    },
    ["Transmute: Life to Earth"] = {
        skill = 275,
        description = "Essence of Earth",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Life to Earth",
        sourcerarity = "Uncommon",
        resultname = "Essence of Earth",
        resultrarity = "Uncommon",
        stacksize = 10,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['livingessence']] = 1,
        },
    },
    ["Transmute: Undeath to Water"] = {
        skill = 275,
        description = "Essence of Water",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Undeath to Water",
        sourcerarity = "Uncommon",
        resultname = "Essence of Water",
        resultrarity = "Uncommon",
        stacksize = 10,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['essenceofundeath']] = 1,
        },
    },
    ["Transmute: Water to Air"] = {
        skill = 275,
        id = 13485,
        description = "Essence of Air",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Water to Air",
        sourcerarity = "Uncommon",
        resultname = "Essence of Air",
        resultrarity = "Uncommon",
        stacksize = 10,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['essenceofwater']] = 1,
        },
    },
    ["Transmute: Water to Undeath"] = {
        skill = 275,
        description = "Essence of Undeath",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Water to Undeath",
        sourcerarity = "Uncommon",
        resultname = "Essence of Undeath",
        resultrarity = "Uncommon",
        stacksize = 10,
        itemLvl = 55,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1
        },
        reagents = {
            [ReagentData['element']['essenceofwater']] = 1,
        },
    },
    ["Elixir of the Mongoose"] = {
        skill = 280,
        description = "MinLvl: 46, Use: Increases Agility by 25 and critical strike rating by 28 for 1 hour.",
        source = "Drop:Recipe: Elixir of the Mongoose",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 56,
        reagents = {
            [ReagentData['herb']['plaguebloom']] = 2,
            [ReagentData['herb']['mountainsilversage']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Stoneshield Potion"] = {
        skill = 280,
        description = "MinLvl: 45, Use: Increases armor by 2000 for 2 min.",
        source = "Drop:Recipe: Greater Stoneshield Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 55,
        reagents = {
            [ReagentData['oil']['stonescale']] = 3,
            [ReagentData['ore']['thorium']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Arcane Elixir"] = {
        skill = 285,
        description = "MinLvl: 48, Use: Increases spell damage by 35 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['herb']['mountainsilversage']] = 1,
            [ReagentData['herb']['dreamfoil']] = 3,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Living Action Potion"] = {
        skill = 285,
        id = 20013,
        description = "MinLvl: 47, Use: Makes you immune to stun and movement impairing effects for the next 5 sec. Also removes existing Stun and Movement impairing effects.",
        source = "Vendor:Recipe: Living Action Potion",
        itemLvl = 57,
        reagents = {
            [ReagentData['herb']['icecap']] = 2,
            [ReagentData['herb']['mountainsilversage']] = 2,
            [ReagentData['element']['heartofthewild']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        }
    },
    ["Purification Potion"] = {
        skill = 285,
        description = "MinLvl: 46, Use: Attempts to remove one Curse, one Disease and one Poison from the Imbiber.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 56,
        reagents = {
            [ReagentData['herb']['plaguebloom']] = 2,
            [ReagentData['herb']['icecap']] = 2,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Arcane Protection Potion"] = {
        skill = 290,
        description = "MinLvl: 48, Use: Absorbs 1950 to 3250 arcane damage. Lasts 1 hour.",
        source = "Drop:Recipe: Greater Arcane Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['dust']['dream']] = 1,
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Fire Protection Potion"] = {
        skill = 290,
        description = "MinLvl: 48, Use: Absorbs 1950 to 3250 fire damage. Lasts 1 hour.",
        source = "Drop:Recipe: Greater Frost Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['element']['fire']] = 1,
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Frost Protection Potion"] = {
        skill = 290,
        description = "MinLvl: 48, Use: Absorbs 1950 to 3250 frost damage. Lasts 1 hour.",
        description = "",
        type = "Miscellaneous",
        source = "Drop:Recipe: Greater Frost Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['element']['water']] = 1,
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Nature Protection Potion"] = {
        skill = 290,
        description = "MinLvl: 48, Use: Absorbs 1950 to 3250 nature damage.  Lasts 1 hour.",
        source = "Drop:Recipe: Greater Nature Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['element']['earth']] = 1,
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Greater Shadow Protection Potion"] = {
        skill = 290,
        description = "MinLvl: 48, Use: Absorbs 1950 to 3250 shadow damage.  Lasts 1 hour.",
        source = "Drop:Recipe: Greater Shadow Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 58,
        reagents = {
            [ReagentData['oil']['shadow']] = 1,
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Adept's Elixir"] = {
        skill = 300,
        description = "MinLvl: 50, Use: Increases spell damage and healing by up to 24 and spell critical strike rating by 24 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 60,
        reagents = {
            [ReagentData['herb']['dreamfoil']] = 1,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Flask of Chromatic Resistance"] = {
        skill = 300,
        description = "MinLvl: 50, Use: Increases your resistance to all schools of magic by 25 for 2 hrs. You can only have the effect of one flask at a time. This effect persists through death and stacks with all other resistance spells and items.",
        type = "Miscellaneous",
        source = "Vendor:Recipe: Flask of Chromatic Resistance",
        sourcerarity = "Uncommon",
        itemLvl = 60,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['icecap']] = 30,
            [ReagentData['herb']['mountainsilversage']] = 10,
            [ReagentData['herb']['blacklotus']] = 1,
            [ReagentData['vial']['crystal']] = 1,
        },
    },
    ["Flask of Distilled Wisdom"] = {
        skill = 300,
        description = "MinLvl: 50, Use: Increases the player's maximum mana by 2000 for 2 hrs. You can only have the effect of one flask at a time.",
        type = "Miscellaneous",
        source = "Vendor:Recipe: Flask of Distilled Wisdom",
        sourcerarity = "Uncommon",
        itemLvl = 60,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['dreamfoil']] = 30,
            [ReagentData['herb']['icecap']] = 10,
            [ReagentData['vial']['crystal']] = 1,
            [ReagentData['herb']['blacklotus']] = 1,
        }
    },
    ["Flask of Petrification"] = {
        skill = 300,
        description = "MinLvl: 50, Use: You turn to stone, protecting you from all physical attacks and spells for 1 min, but during that time you cannot attack, move or cast spells. You can only have the effect of one flask at a time.",
        type = "Miscellaneous",
        source = "Drop:Recipe: Flask of Petrification",
        sourcerarity = "Uncommon",
        itemLvl = 60,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['mountainsilversage']] = 10,
            [ReagentData['vial']['crystal']] = 1,
            [ReagentData['oil']['stonescale']] = 30,
            [ReagentData['herb']['blacklotus']] = 1,
        }
    },
    ["Flask of Supreme Power"] = {
        skill = 300,
        description = "MinLvl: 50, Use: Increases damage done by magical spells and effects by up to 150 for 2 hrs. You can only have the effect of one flask at a time.",
        type = "Miscellaneous",
        source = "Vendor:Recipe: Flask of Supreme Power",
        sourcerarity = "Uncommon",
        itemLvl = 60,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['dreamfoil']] = 30,
            [ReagentData['herb']['mountainsilversage']] = 10,
            [ReagentData['vial']['crystal']] = 1,
            [ReagentData['herb']['blacklotus']] = 1,
        }
    },
    ["Flask of the Titans"] = {
        skill = 300,
        description = "MinLvl: 50, Use: Increases the player's maximum health by 1200 for 2 hrs. You can only have the effect of one flask at a time.",
        type = "Miscellaneous",
        source = "Vendor:Recipe: Flask of the Titans",
        sourcerarity = "Uncommon",
        itemLvl = 60,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['gromsblood']] = 30,
            [ReagentData['vial']['crystal']] = 1,
            [ReagentData['oil']['stonescale']] = 10,
            [ReagentData['herb']['blacklotus']] = 1,
        }
    },
    ["Gurubashi Mojo Madness"] = {
        skill = 300,
        description = "Use: Extinguishes the Brazier of Madness.",
        source = "Quest", -- learnt from stone tablet in the Edge of Madness in Zul'Gurub
        type = "Miscellaneous",
        result = 3,
        stacksize = 20,
        itemLvl = 1,
        reagents = {
            [ReagentData['other']['bloodofheroes']] = 1,
            [ReagentData['monster']['massivemojo']] = 1,
            [ReagentData['monster']['powerfulmojo']] = 6,
            [ReagentData['herb']['blacklotus']] = 1,
        }
    },
    ["Major Rejuvenation Potion"] = {
        skill = 300,
        description = "MinLvl: 50, Use: Restores 1440 to 1760 mana and health.",
        source = "Drop:Recipe: Major Rejuvenation Potion",
        sourcerarity = "Rare",
        stacksize = 5,
        itemLvl = 60,
        reagents = {
            [ReagentData['herb']['dreamfoil']] = 4,
            [ReagentData['element']['heartofthewild']] = 1,
            [ReagentData['herb']['goldensansam']] = 4,
            [ReagentData['vial']['imbued']] = 1,
        }
    },
    ["Onslaught Elixir"] = {
        skill = 300,
        description = "MinLvl: 50, Use: Increases attack power by 60 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 60,
        reagents = {
            [ReagentData['herb']['mountainsilversage']] = 1,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Transmute: Elemental Fire"] = {
        skill = 300,
        description = "Elemental Fire",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Elemental Fire",
        result = 3,
        resultname = "Elemental Fire",
        stacksize = 10,
        itemLvl = 25,
        reagents = {
            [ReagentData['element']['heartoffire']] = 1,
        },
    },
    ["Volatile Healing Potion"] = {
        skill = 300,
        description = "MinLvl: 55, Use: Restores 1050 to 1750 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 60,
        reagents = {
            [ReagentData['herb']['goldensansam']] = 1,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Camouflage"] = {
        skill = 305,
        id = 22900,
        description = "MinLvl: 50, Use: Imbiber cannot be tracked for 1 hour.",
        source = "Vendor:Recipe: Elixir of Camouflage",
        stacksize = 5,
        itemLvl = 61,
        reagents = {
            [ReagentData['herb']['ragveil']] = 1,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Major Strength"] = {
        skill = 305,
        description = "MinLvl: 50, Use: Increases your strength by 35 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 61,
        reagents = {
            [ReagentData['herb']['mountainsilversage']] = 1,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Healing Power"] = {
        skill = 310,
        description = "MinLvl: 50, Use: Increases the effects of healing spells that you cast by up to 50 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 61,
        reagents = {
            [ReagentData['herb']['goldensansam']] = 1,
            [ReagentData['herb']['dreamingglory']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Unstable Mana Potion"] = {
        skill = 310,
        description = "MinLvl: 55, Use: Restores 1350 to 2250 mana.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 62,
        reagents = {
            [ReagentData['herb']['ragveil']] = 2,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Mastery"] = {
        skill = 315,
        description = "MinLvl: 50, Use: Increases all stats by 15 for 1 hour.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 63,
        reagents = {
            [ReagentData['herb']['terocone']] = 3,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Sneaking Potion"] = {
        skill = 315,
        description = "MinLvl: 50, Use: Increases stealth a great deal for 1 minute.",
        source = "Vendor:Recipe: Sneaking Potion",
        stacksize = 5,
        itemLvl = 63,
        reagents = {
            [ReagentData['herb']['ragveil']] = 2,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Major Frost Power"] = {
        skill = 320,
        description = "MinLvl: 50, Use: Increases Frost spell damage by up to 55 for 1 hour.",
        source = "Vendor:Recipe: Elixir of Major Frost Power",
        stacksize = 5,
        itemLvl = 64,
        reagents = {
            [ReagentData['element']['moteofwater']] = 2,
            [ReagentData['herb']['ancientlichen']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Insane Strength Potion"] = {
        skill = 320,
        description = "MinLvl: 50, Use: Increases your Strength by 120 and decreases your defense rating by 75 for 15 sec.",
        source = "Drop:Recipe: Insane Strength Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 64,
        reagents = {
            [ReagentData['herb']['terocone']] = 3,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of the Searching Eye"] = {
        skill = 325,
        description = "MinLvl: 55, Use: Increases your stealth detection for 10 min.",
        source = "Drop:Recipe: Elixir of the Searching Eye",
        sourcerarity = "Uncommon",
        itemLvl = 65,
        reagents = {
            [ReagentData['herb']['ragveil']] = 2,
            [ReagentData['herb']['terocone']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Mercurial Stone"] = {
        skill = 325,
        description = "\"Required by jewelcrafters to transmute mercurial adamantite.\"",
        type = "Reagent",
        source = "Trainer",
        itemLvl = 65,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalearth']] = 1,
            [ReagentData['element']['primallife']] = 1,
            [ReagentData['element']['primalmana']] = 1,
        },
    },
    ["Super Healing Potion"] = {
        skill = 325,
        description = "MinLvl: 55, Use: Restores 1500 to 2500 health.",
        source = "Trainer",
        stacksize = 5,
        itemLvl = 65,
        reagents = {
            [ReagentData['herb']['dreamingglory']] = 1,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Major Agility"] = {
        skill = 330,
        description = "MinLvl: 55, Use: Increases your agility by 35 for 1 hour.",
        source = "Vendor:Recipe: Elixir of Major Agility",
        stacksize = 5,
        itemLvl = 66,
        reagents = {
            [ReagentData['herb']['terocone']] = 1,
            [ReagentData['herb']['felweed']] = 2,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Fel Strength Elixir"] = {
        skill = 335,
        description = "MinLvl: 60, Use: Increases attack power by 120 and decreases stamina by 20 for 1 hour.",
        source = "Drop:Recipe: Fel Strength Elixir",
        sourcerarity = "Rare",
        reagents = {
            [ReagentData['herb']['terocone']] = 2,
            [ReagentData['herb']['nightmarevine']] = 2,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Shrouding Potion"] = {
        skill = 335,
        description = "MinLvl: 55, Use: Shrouds you from nearby enemies so you seem less threatening to them.",
        source = 'Vendor:Recipe: Shrouding Potion',
        stacksize = 5,
        itemLvl = 67,
        reagents = {
            [ReagentData['herb']['ragveil']] = 3,
            [ReagentData['herb']['netherbloom']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Super Mana Potion"] = {
        skill = 340,
        description = "MinLvl: 55, Use: Restores 1800 to 3000 mana.",
        source = "Vendor:Recipe: Super Mana Potion",
        stacksize = 5,
        itemLvl = 68,
        reagents = {
            [ReagentData['herb']['netherbloom']] = 2,
            [ReagentData['herb']['felweed']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Major Defense"] = {
        skill = 345,
        description = "MinLvl: 50, Use: Increases armor by 550 for 1 hour.",
        source = "Vendor:Recipe: Elixir of Major Defense",
        stacksize = 5,
        itemLvl = 69,
        reagents = {
            [ReagentData['herb']['terocone']] = 1,
            [ReagentData['herb']['ancientlichen']] = 3,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Major Firepower"] = {
        skill = 345,
        description = "MinLvl: 50, Use: Increases Fire spell damage by up to 65 for 1 hour.",
        source = "Vendor:Recipe: Elixir of Major Firepower",
        stacksize = 5,
        itemLvl = 69,
        reagents = {
            [ReagentData['element']['moteoffire']] = 3,
            [ReagentData['herb']['ancientlichen']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Alchemist's Stone"] = {
        skill = 350,
        description = "[BoP] [U] (Trinket) Str: 15, Agi: 15, Int: 15, Sta: 15, Spi: 15, Requires Alchemy 375, Equip: Increases the effects that healing and mana potions have on the wearer by 40%.",
        type = "Trinket",
        source = "Vendor:Recipe: Alchemist's Stone",
        resultrarity = "Epic",
        itemLvl = 90,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['tool']['philosophersstone']] = 1,
            [ReagentData['element']['primalmight']] = 5,
            [ReagentData['gem']['skyfirediamond']] = 1,
            [ReagentData['gem']['earthstormdiamond']] = 1,
            [ReagentData['herb']['fellotus']] = 2,
        }
    },
    ["Destruction Potion"] = {
        skill = 350,
        description = "MinLvl: 60, Use: Increases spell critical chance by 2% and spell damage by 120 for 15 sec.",
        source = "Drop:Recipe: Destruction Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 70,
        reagents = {
            [ReagentData['herb']['nightmarevine']] = 2,
            [ReagentData['herb']['netherbloom']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Major Shadow Power"] = {
        skill = 350,
        description = "MinLvl: 50, Use: Increases Shadow spell damage by up to 65 for 1 hour.",
        source = "Vendor:Recipe: Elixir of Major Shadow Power",
        stacksize = 5,
        itemLvl = 70,
        reagents = {
            [ReagentData['herb']['nightmarevine']] = 1,
            [ReagentData['herb']['ancientlichen']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Haste Potion"] = {
        skill = 350,
        description = "MinLvl: 60, Use: Increases haste rating by 400 for 15 sec.",
        source = "Drop:Recipe: Haste Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 70,
        reagents = {
            [ReagentData['herb']['terocone']] = 2,
            [ReagentData['herb']['netherbloom']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Heroic Potion"] = {
        skill = 350,
        description = "MinLvl: 60, Use: Increases Strength by 70 and temporarily increases health by 700 for 15 sec.",
        source = "Drop:Recipe: Heroic Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 70,
        reagents = {
            [ReagentData['herb']['terocone']] = 2,
            [ReagentData['herb']['ancientlichen']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Major Dreamless Sleep Potion"] = {
        skill = 350,
        description = "MinLvl: 60, Use: Puts the imbiber in a dreamless sleep for 12 sec. During that time the imbiber heals 3600 health and 3600 mana.",
        source = "Drop:Recipe: Major Dreamless Sleep Potion",
        stacksize = 5,
        itemLvl = 70,
        reagents = {
            [ReagentData['herb']['netherbloom']] = 1,
            [ReagentData['herb']['dreamingglory']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Transmute: Earthstorm Diamond"] = {
        skill = 350,
        description = "Earthstorm Diamond",
        type = "Trade Goods",
        source = "Vendor:Recipe: Transmute Earthstorm Diamond",
        resultname = "Earthstorm Diamond",
        resultrarity = "Rare",
        stacksize = 20,
        itemLvl = 70,
        reagents = {
            [ReagentData['gem']['deepperidot']] = 3,
            [ReagentData['gem']['shadowdraenite']] = 3,
            [ReagentData['gem']['goldendraenite']] = 3,
            [ReagentData['element']['primalearth']] = 2,
            [ReagentData['element']['primalwater']] = 2,
        },
    },
    ["Transmute: Primal Air to Fire"] = {
        skill = 350,
        description = "Primal Fire",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Primal Air to Fire",
        sourcerarity = "Uncommon",
        resultname = "Primal Fire",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalair']] = 1,
        },
    },
    ["Transmute: Primal Earth to Water"] = {
        skill = 350,
        description = "Primal Water",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Primal Earth to Water",
        sourcerarity = "Uncommon",
        resultname = "Primal Water",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalearth']] = 1,
        },
    },
    ["Transmute: Primal Fire to Earth"] = {
        skill = 350,
        description = "Primal Earth",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Primal Fire to Earth",
        sourcerarity = "Uncommon",
        resultname = "Primal Earth",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalfire']] = 1,
        },
    },
    ["Transmute: Primal Might"] = {
        skill = 350,
        id = 23574,
        description = "Primal Might",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Primal Might",
        sourcerarity = "Uncommon",
        resultname = "Primal Might",
        resultrarity = "Rare",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalearth']] = 1,
            [ReagentData['element']['primalwater']] = 1,
            [ReagentData['element']['primalair']] = 1,
            [ReagentData['element']['primalfire']] = 1,
            [ReagentData['element']['primalmana']] = 1,
        },
    },
    ["Transmute: Primal Water to Air"] = {
        skill = 350,
        description = "Primal Air",
        type = "Reagent",
        source = "Vendor:Recipe: Transmute Primal Water to Air",
        sourcerarity = "Uncommon",
        resultname = "Primal Air",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalwater']] = 1,
        },
    },
    ["Transmute: Skyfire Diamond"] = {
        skill = 350,
        description = "Skyfire Diamond",
        type = "Trade Goods",
        source = "Vendor:Recipe: Transmute Skyfire Diamond",
        resultname = "Skyfire Diamond",
        resultrarity = "Rare",
        stacksize = 20,
        itemLvl = 70,
        reagents = {
            [ReagentData['gem']['bloodgarnet']] = 3,
            [ReagentData['gem']['flamespessarite']] = 3,
            [ReagentData['gem']['azuremoonstone']] = 3,
            [ReagentData['element']['primalfire']] = 2,
            [ReagentData['element']['primalair']] = 2,
        },
    },
    ['Elixir of Major Mageblood'] = {
        skill = 355,
        description = 'MinLvl: 60, Use: Regenerate 16 mana per 5 sec for 1 hour',
        source = 'Drop:Recipe: Elixir of Major Mageblood',
        stacksize = 5,
        itemLvl = 71,
        reagents = {
            [ReagentData['herb']['ancientlichen']] = 1,
            [ReagentData['herb']['netherbloom']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Fel Mana Potion"] = {
        skill = 360,
        description = "MinLvl: 60, Use: Restores 3200 mana over 24 sec, but at a cost. Also reduces damage and healing done by magical spells and effects by 25 for 15 min.",
        source = "Drop:Recipe: Fel Mana Potion",
        sourcerarity = "Rare",
        stacksize = 5,
        itemLvl = 72,
        reagents = {
            [ReagentData['herb']['manathistle']] = 1,
            [ReagentData['herb']['nightmarevine']] = 2,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Major Arcane Protection Potion"] = {
        skill = 360,
        description = "MinLvl: 60, Use: Absorbs 2800 to 4000 arcane damage. Lasts 1 hour.",
        source = "Drop:Recipe: Major Arcane Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 72,
        reagents = {
            [ReagentData['element']['primalmana']] = 1,
            [ReagentData['herb']['manathistle']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Major Fire Protection Potion"] = {
        skill = 360,
        description = "MinLvl: 60, Use: Absorbs 2800 to 4000 fire damage. Lasts 1 hour.",
        source = "Drop:Recipe: Major Fire Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 72,
        reagents = {
            [ReagentData['element']['primalfire']] = 1,
            [ReagentData['herb']['manathistle']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Major Frost Protection Potion"] = {
        skill = 360,
        description = "MinLvl: 60, Use: Absorbs 2800 to 4000 frost damage. Lasts 1 hour.",
        source = "Drop:Recipe: Major Frost Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 72,
        reagents = {
            [ReagentData['element']['primalwater']] = 1,
            [ReagentData['herb']['manathistle']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Major Holy Protection Potion"] = {
        skill = 360,
        description = "MinLvl: 60, Use: Absorbs 2800 to 4000 holy damage. Lasts 1 hour.",
        source = "Drop:Recipe: Major Holy Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 72,
        reagents = {
            [ReagentData['element']['primallife']] = 1,
            [ReagentData['element']['primalwater']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Major Nature Protection Potion"] = {
        skill = 360,
        description = "MinLvl: 60, Use: Absorbs 2800 to 4000 nature damage. Lasts 1 hour.",
        source = "Vendor:Recipe: Major Nature Protection Potion",
        stacksize = 5,
        itemLvl = 72,
        reagents = {
            [ReagentData['element']['primallife']] = 1,
            [ReagentData['herb']['manathistle']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Major Shadow Protection Potion"] = {
        skill = 360,
        description = "MinLvl: 60, Use: Absorbs 2800 to 4000 shadow damage. Lasts 1 hour.",
        source = "Drop:Recipe: Major Shadow Protection Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 72,
        reagents = {
            [ReagentData['element']['primalshadow']] = 1,
            [ReagentData['herb']['manathistle']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Elixir of Empowerment"] = {
        skill = 365,
        description = "MinLvl: 60, Use: Decreases the magical resistances of your spell targets by 30 for 1 hour.",
        source = "Drop:Recipe: Elixir of Empowerment",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 73,
        reagents = {
            [ReagentData['herb']['netherbloom']] = 1,
            [ReagentData['herb']['manathistle']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Ironshield Potion"] = {
        skill = 365,
        description = "MinLvl: 60, Use: Increases armor by 2500 for 2 min.",
        source = "Drop:Recipe: Ironshield Potion",
        sourcerarity = "Uncommon",
        stacksize = 5,
        itemLvl = 73,
        reagents = {
            [ReagentData['herb']['ancientlichen']] = 2,
            [ReagentData['element']['primalearth']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Transmute: Primal Earth to Life"] = {
        skill = 370,
        description = "Primal Life",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Primal Earth to Life",
        sourcerarity = "Uncommon",
        resultname = "Primal Life",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalearth']] = 1,
        },
    },
    ["Transmute: Primal Fire to Mana"] = {
        skill = 370,
        description = "Primal Mana",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Primal Fire to Mana",
        sourcerarity = "Uncommon",
        resultname = "Primal Mana",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalfire']] = 1,
        },
    },
    ["Transmute: Primal Life to Earth"] = {
        skill = 370,
        description = "Primal Earth",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Primal Life to Earth",
        sourcerarity = "Uncommon",
        resultname = "Primal Earth",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primallife']] = 1,
        },
    },
    ["Transmute: Primal Mana to Fire"] = {
        skill = 370,
        description = "Primal Fire",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Primal Mana to Fire",
        sourcerarity = "Uncommon",
        resultname = "Primal Fire",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalmana']] = 1,
        },
    },
    ["Transmute: Primal Shadow to Water"] = {
        skill = 370,
        description = "Primal Water",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Primal Shadow to Water",
        sourcerarity = "Uncommon",
        resultname = "Primal Water",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalshadow']] = 1,
        },
    },
    ["Transmute: Primal Water to Shadow"] = {
        skill = 370,
        description = "Primal Shadow",
        type = "Reagent",
        source = "Drop:Recipe: Transmute Primal Water to Shadow",
        sourcerarity = "Uncommon",
        resultname = "Primal Shadow",
        resultrarity = "Uncommon",
        stacksize = 20,
        itemLvl = 70,
        tools = {
            [ReagentData['tool']['philosophersstone']] = 1,
        },
        reagents = {
            [ReagentData['element']['primalwater']] = 1,
        },
    },
    ["Flask of Arcane Fortification"] = {
        skill = 375,
        description = "Equip: Increases the player's resistance to Arcane spells by 75 and health regeneration by 40 every 5 seconds for 2 hrs. You can only have the effect of one flask at a time. This effect persists through death.",
        source = "Discover",
        itemLvl = 75,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['fellotus']] = 1,
            [ReagentData['herb']['manathistle']] = 10,
            [ReagentData['herb']['netherbloom']] = 20,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Flask of Fortification"] = {
        skill = 375,
        description = "Equip: Increases the player's maximum health by 1500 and defense rating by 30 for 2 hrs. You can only have the effect of one flask at a time. This effect persists through death.",
        source = "Discover",
        itemLvl = 75,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['fellotus']] = 1,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Flask of Mighty Restoration"] = {
        skill = 375,
        description = "Equip: Restores 70 mana per 5 seconds for 2 hrs. You can only have the effect of one flask at a time. This effect persists through death.",
        source = "Discover",
        itemLvl = 75,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['fellotus']] = 1,
            [ReagentData['herb']['terocone']] = 10,
            [ReagentData['herb']['dreamingglory']] = 20,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Flask of Relentless Assault"] = {
        skill = 375,
        description = "Equip: Increases the player's attack power by 360 for 2 hrs. You can only have the effect of one flask at a time. This effect persists through death.",
        source = "Discover",
        itemLvl = 75,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['fellotus']] = 1,
            [ReagentData['herb']['manathistle']] = 10,
            [ReagentData['herb']['terocone']] = 20,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
    ["Flask of Shadow Fortification"] = {
        skill = 375,
        description = "Equip: Increases the player's resistance to Shadow spells by 75 and health regeneration by 40 every 5 seconds for 2 hours. You can only have the effect of one flask at a time. This effect persists through death.",
        source = "Discover",
        itemLvl = 75,
        tools = {
            [ReagentData['tool']['alchemylab']] = 1,
        },
        reagents = {
            [ReagentData['herb']['fellotus']] = 1,
            [ReagentData['herb']['manathistle']] = 10,
            [ReagentData['herb']['nightmarevine']] = 20,
            [ReagentData['vial']['imbued']] = 1,
        },
    },
}

for k, v in pairs(ReagentData['crafted']['alchemy']) do
    if (not v.result) then
        v.result = 1;
    end
    if (not v.type) then
        v.type = "Consumable";
    end
end

end
